Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-1331

Picard crashes on error during plugin install

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.0.3
    • Fix Version/s: 2.0.4
    • Component/s: Plugins API
    • Labels:
      None

      Description

      If a plugin install fails an error in the exception handling crashes Picard.

       

      Example:

      E: 11:31:13,404 /app/lib/python3.5/site-packages/picard/plugin.load_plugin:349: Plugin 'fanarttv' : Traceback (most recent call last):
        File "/app/lib/python3.5/site-packages/picard/plugin.py", line 324, in load_plugin
          plugin_module = importer.load_module(_PLUGIN_MODULE_PREFIX + name)
        File "/home/phw/.var/app/org.musicbrainz.Picard/config/MusicBrainz/Picard/plugins/fanarttv.zip/fanarttv/_init_.py", line 30, in <module>
          from PyQt4.QtCore import QUrl
      ImportError: No module named 'PyQt4'

      Traceback (most recent call last):
        File "/app/lib/python3.5/site-packages/picard/plugin.py", line 439, in install_plugin
          installed_plugin = self.load_plugin(zip_plugin or plugin_name, USER_PLUGIN_DIR)
        File "/app/lib/python3.5/site-packages/picard/plugin.py", line 297, in load_plugin
          module_pathname = importer.get_filename(name)
      zipimport.ZipImportError: bad local file header: '/home/phw/.var/app/org.musicbrainz.Picard/config/MusicBrainz/Picard/plugins/fanarttv.zip'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/app/lib/python3.5/site-packages/picard/webservice/_init_.py", line 426, in _process_reply
          self._handle_reply(reply, request)
        File "/app/lib/python3.5/site-packages/picard/webservice/_init_.py", line 415, in _handle_reply
          handler(reply.readAll(), reply, error)
        File "/app/lib/python3.5/site-packages/picard/ui/options/plugins.py", line 401, in download_handler
          plugin_data=response,
        File "/app/lib/python3.5/site-packages/picard/plugin.py", line 441, in install_plugin
          log.error('Unable to load plugin: %s.\nError occured: %s', name, e)
      NameError: name 'name' is not defined

       

        Attachments

          Activity

            People

            • Assignee:
              outsidecontext Philipp Wolfer
              Reporter:
              outsidecontext Philipp Wolfer
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: